1. OffRamp
CryptopocketAPI
  • Common
    • Authentication
      POST
    • User Registration
      POST
    • Check KYC Verification
      GET
    • Token Price
      GET
  • OnRamp
    • Get payment methods
      GET
    • Get Quote
      GET
    • Create Payment Intend (RampOn)
      POST
    • Get Payment
      GET
    • List of Payments
      GET
  • OffRamp
    • Get quote
      GET
    • Create rampoff opetation
      POST
    • Get rampoff status
      GET
    • Get List
      GET
  • Webhooks
    • Webhook Event Update
      POST
    • Webhook Event Subscribe
      POST
  1. OffRamp

Create rampoff opetation

POST
/api/createRampoff
This endpoint creates a ramp-off transaction, allowing users to exchange tokens for fiat currency. A transaction is generated that provides the user with a wallet address to which they must send the tokens. Once the tokens are received, the exchange is processed for the equivalent amount in fiat currency.
Parameters:
user_id: User associated to the rampoff operation
amount: The amount of tokens the user wishes to exchange.
blockchain: The blockchain from which the tokens will be withdrawn (e.g. bsc). *Not needed for LATAM
symbol: The amount of tokens the user wishes to exchange.
iban: IBAN of the destination bank account *Not needed for LATAM, the bank account used to register will be used
bank_name: Name of the bank. *Only needed for LATAM
If the ramp-off operation is successfully initiated, a JSON response is returned with the status of the operation, the wallet address to which the tokens should be sent and a unique identifier for the operation.
RESPONSE EXAMPLE
{
    "status": "ok",
    "data": {
        "rampoff": "payment created",
        "wallet": "0xe0Ccfeb1EAd1cA32e0979Eb9b9dFca99D609aE2A",
        "id": "ExM63FJ9ZsAZF2VfTfU4rn7Sq"
    }
}

Solicitud

Parámetros de Header

Parámetros del Body application/json

Ejemplos

Respuestas

🟢200
application/json
Body

Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/createRampoff' \
--header 'auth: PK-617403359384' \
--header 'Content-Type: application/json' \
--data-raw '{
  "amount": 100,
  "symbol": "usdc",
  "chain": "polygon",
  "user_id": 106,
  "fiat_symbol": "EUR"
}'
Respuesta Ejemplo de Respuesta
{}
Modificado en 2026-04-08 18:59:31
Anterior
Get quote
Siguiente
Get rampoff status
Built with